summaryrefslogtreecommitdiff
path: root/home/xyz/.local/bin/gitfork
diff options
context:
space:
mode:
Diffstat (limited to 'home/xyz/.local/bin/gitfork')
-rwxr-xr-xhome/xyz/.local/bin/gitfork8
1 files changed, 5 insertions, 3 deletions
diff --git a/home/xyz/.local/bin/gitfork b/home/xyz/.local/bin/gitfork
index cefc4f68..9736c4cd 100755
--- a/home/xyz/.local/bin/gitfork
+++ b/home/xyz/.local/bin/gitfork
@@ -3,6 +3,8 @@
git clone "$1"
cd "$(basename "$1" .git)" || exit
git remote add upstream "$2"
-git branch fly
-git checkout fly
-git push --set-upstream origin fly
+if ! git checkout fly; then
+ git branch fly
+ git checkout fly
+ git push --set-upstream origin fly
+fi